cookiecutter-django
===================

Un modèle [cookiecutter][] pour démarrer rapidement un nouveau *projet*
[Django][] à Cliss XXI.

[cookiecutter]: https://github.com/audreyr/cookiecutter/
[Django]: https://www.djangoproject.com/

## Fonctionnalités

Il est fortement inspiré de [cookiecutter-django][], ainsi qu'un peu de
[cookiecutter-simple-django][].

Les fonctionnalités principales sont les suivantes :

* définition de 2 environnements spécifiques, `production` et `development`,
  avec leurs dépendances (dans `requirements/`) et configuration (dans
  `<projet>/settings/`) spécifiques, en partageant une base commune ;
* utilisation des variables d'environnement pour configurer l'application ;
* possibilité de modifier et/ou étendre les *static* et les *templates*
  localement, en dehors du dépôt ;
* embarquement de tout le code propre à l'application dans `<projet>/`, afin
  de permettre par la suite d'en faire un paquet Python, installable sur le
  système et mutualisable ;
* utilisation d'un `Makefile` pour faciliter le déploiement et d'autres
  tâches récurrentes.

[cookiecutter-django]: https://github.com/pydanny/cookiecutter-django
[cookiecutter-simple-django]: https://github.com/marcofucci/cookiecutter-simple-django

## Utilisation

Il vous faudra tout d'abord installer `cookiecutter` sur votre système. Pour
ce faire, vu que le paquet dans Debian Jessie n'est pas très récent, vous
pouvez l'installer via [pip][].

    $ cd <workspace>
    $ virtualenv ./venv
    $ source venv/bin/activate
    $ pip install cookiecutter

Enfin, pour générer une nouvelle application depuis ce modèle, utilisez la
commande suivante :

    $ cookiecutter https://forge.cliss21.org/cliss21/cookiecutter-django.git

Une série de questions vous seront posées afin d'ajuster l'application
générée à vos besoins.

[pip]: https://pypi.python.org/pypi/cookiecutter
