from django.core.management.base import BaseCommand

from center_pilote.moulinette import my


class Command(BaseCommand):
    help = 'import csv file into the CRM'

    def add_arguments(self, parser):
        parser.add_argument('file', nargs=None, type=str)
        parser.add_argument('--dryrun', default=False, action='store_true')
        parser.add_argument('--no-header', default=False, action='store_true')

    def handle(self, *args, **options):
        process_csv = my.ProcessCsv(
            options['file'], options['dryrun'], options['no_header']
        )
        process_csv.run()
        stt = process_csv.stats
        print(
            f"Stats: total lines: {stt['line']}"
            f" csv errors: {stt['err_line']}"
            f" model errors: {stt['err_model']}"
        )
