from django.core.management.base import BaseCommand

from center_pilote.moulinette import my


class Command(BaseCommand):
    help = 'show expected csv file header'

    def handle(self, *args, **options):
        form_klass = getattr(my.ProcessCsv, 'form_klass', None)
        if form_klass is None:
            raise NotImplementedError(
                "You need to provide property form_klass"
            )
        fields = form_klass().fields
        if options['verbosity'] > 1:
            fieldsname = [
                f"{k}({type(v).__name__})" for k, v in fields.items()
            ]
        else:
            fieldsname = fields.keys()
        print(','.join(fieldsname))
